Bug 490996 - Review Request: backup-light - A small backup bash utility
Review Request: backup-light - A small backup bash utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 16:15 EDT by Fabian Affolter
Modified: 2009-04-09 12:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 12:07:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cassmodiah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-03-18 16:15:02 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/backup-light.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/backup-light-0.4-1.fc10.src.rpm

Project URL: http://code.google.com/p/backup-light/

Description:
Backup-light is a small, lightweight utility written for the bash shell
that backups the active users $HOME directory. Backup-light is able to
preform both full and incremental backups with the options to preform a
backup with out updating the time stamp, or to backup to a different
directory or device at will. Backup-light also creates MD5sums of the
backup archives for added security.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1248891

rpmlint output:
[fab@laptop24 noarch]$ rpmlint backup-light-0.4-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint backup-light-0.4-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Simon 2009-03-19 12:14:14 EDT
R E V I E W
===========

* MUST: rpmlint must be run on every package. The output should be posted in the review.
OK - rpmlint is silent

* MUST: The package must be named according to the Package Naming Guidelines
OK

* MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK

* MUST: The package must meet the Packaging Guidelines
OK

* MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
OK - GPLv2+

* MUST: The License field in the package spec file must match the actual license.
OK - GPLv2+

* MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK - it's the file COPYING

* MUST: The spec file must be written in American English.
OK

* MUST: The spec file for the package MUST be legible.
OK

* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
Downloaded 5 times md5sum dca0069d016d9da11809f806dde55254 
Source in SRPM     md5sum dca0069d016d9da11809f806dde55254
OK - md5sums are the same

* MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK - noarch for all packages

* MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
tested on F10 ppc - works for me

* MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK - no BuildRequires, just a script install

* MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A

* MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A

* MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, 
use of Prefix: /usr is considered a blocker.
N/A

* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
N/A

* MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [13]
N/A

* MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK

* MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK

* MUST: Each package must consistently use macros.
OK

* MUST: The package must contain code, or permissable content.
OK

* MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
N/A

* MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
OK

* MUST: Header files must be in a -devel package.
N/A

* MUST: Static libraries must be in a -static package.
N/A

* MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
N/A

* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A

* MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
N/A

* MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
N/A

* MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
N/A

* MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
N/A

* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK

* MUST: All filenames in rpm packages must be valid UTF-8. [26]
OK

broken TIMESTAMPS are typical for googlecode projects.
[cassmodiah@schafwiese Desktop]$ LC_ALL=C wget -N http://backup-light.googlecode.com/files/backup-light-0.4.tar.gz
--2009-03-19 17:03:49--  http://backup-light.googlecode.com/files/backup-light-0.4.tar.gz
Resolving backup-light.googlecode.com... 209.85.171.82
Connecting to backup-light.googlecode.com|209.85.171.82|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 13111 (13K) [application/x-gzip]
Saving to: `backup-light-0.4.tar.gz'

100%[======================================>] 13,111      9.24K/s   in 1.4s    

Last-modified header missing -- time-stamps turned off.
2009-03-19 17:03:51 (9.24 KB/s) - `backup-light-0.4.tar.gz' saved [13111/13111]

//END OF REVIEW//

One question:
Don't you think that %{_bindir}/%{name} instead of %{_bindir}/backuplight would make more sense?

|------------------|
|   backup-light   |
|     APPROVED     |
|------------------|
Comment 2 Fabian Affolter 2009-03-19 18:18:37 EDT
Thanks for the review.

(In reply to comment #1)
> One question:
> Don't you think that %{_bindir}/%{name} instead of %{_bindir}/backuplight would
> make more sense?

I personally don't care but it's a reasonable question.  I will ping upstream about that.
Comment 3 Fabian Affolter 2009-03-19 18:19:41 EDT
New Package CVS Request
=======================
Package Name: backup-light
Short Description: A small backup bash utility
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 4 Simon 2009-03-19 18:35:04 EDT
(In reply to comment #2)
> I personally don't care but it's a reasonable question.  I will ping upstream
> about that.  

you can install it as %{_bindir}/%{name}

it will work and why you shuld ping upstream?
Comment 5 Kevin Fenzi 2009-03-19 21:51:20 EDT
cvs done. 

It's good to talk to upstream and make sure all distros do the same thing and are consistent.
Comment 6 Fabian Affolter 2009-03-22 07:39:52 EDT
Changed in svn, the new name will affect with the next release.

http://code.google.com/p/backup-light/issues/detail?id=3
Comment 7 Fedora Update System 2009-03-22 08:09:18 EDT
backup-light-0.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/backup-light-0.4-2.fc10
Comment 8 Fedora Update System 2009-03-22 08:09:23 EDT
backup-light-0.4-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/backup-light-0.4-2.fc9
Comment 9 Fedora Update System 2009-03-23 11:51:19 EDT
backup-light-0.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update backup-light'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2906
Comment 10 Fedora Update System 2009-03-23 12:00:33 EDT
backup-light-0.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update backup-light'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2976
Comment 11 Fedora Update System 2009-04-09 12:07:22 EDT
backup-light-0.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-04-09 12:13:37 EDT
backup-light-0.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.